Subject: bug#38016: 27.0.50; Display issues with delay-warning and side-by-side windows in terminal

From: Tom Levy <[email-masked]>
Date: Sat, 2 Nov 2019 01:29:22 +1300

Note: the problem occurs with DELAY-warning, not display-warning.

The results of

  emacs -Q -nw --eval '(progn (setq split-height-threshold 80) (setq
split-width-threshold 20) (delay-warning :debug "line 1\nline 2"))'

depend on the terminal size. There is a definite pattern where the
glitch occurs in the larger sizes, but the precise rule is not obvious.

With the default size (LINES=24, COLUMNS=80) the glitch does not occur.
But truncate-partial-width-windows is in effect. Also, from experiments
it makes a difference if the lines in the *scratch* buffer are wrapped.

To reduce complexity from line wrapping, I used the following command:

  emacs -Q -nw --eval '(progn
    (setq truncate-partial-width-windows nil)
    (setq initial-scratch-message ";; short\n;; message\n\n")
    (setq split-height-threshold 80)
    (setq split-width-threshold 20)
    (delay-warning :debug "line 1\nline 2"))'

Results:

    $LINES  first value of $COLUMNS with glitch
    18      155
    19      149
    24      129
    37      99
    48      89

So for example when LINES=24, the glitch occurs if COLUMNS >= 129 and
does not occur if COLUMNS <= 128. (I haven't actually tried all the
values, but the rule works for all those that I did try.)

On Fri, 1 Nov 2019 at 22:50, Eli Zaretskii <[email-masked]> wrote:
>
> Btw, if you do NOT make the terminal full-screen, and instead modify
> the Emacs invocation command like this:
>
>   emacs -Q -nw --eval '(progn (setq split-height-threshold 80) (setq split-width-threshold 20) (display-warning :debug "lin 1\nline 2"))'
>
> do you still see the problem?